import urllib, urllib.request as urllib2, sys
import ssl
try:
    from urllib import urlencode,error
    from urllib2 import Request, urlopen,error
except ImportError:
    from urllib import error
    from urllib.parse import urlencode
    from urllib.request import Request, urlopen

host = 'https://jisuqgclwz.market.alicloudapi.com'
path = '/illegal/query'
method = 'ANY'
APPCODE = 'xxxx'
'''
名称	        类型	        是否必须	           描述
carorg	    STRING	    可选	                管局名称 默认车牌所在地
engineno	STRING	    必选	                发动机号 根据管局需要输入（100为全部输入，0为不输入）
frameno	    STRING	    必选	                车架号 根据管局需要输入（100为全部输入，0为不输入）
iscity	    STRING	    可选	                是否返回城市 1返回 默认0不返回 不一定100%返回结果，准确度90% town、lat、lng仅供参考
lsnum	    STRING	    必选	                车牌剩余部分
lsprefix	STRING	    必选	                车牌前缀
lstype	    STRING	    可选	                车牌类型（ 01:大型汽车号牌 02:小型汽车号牌 03:使馆汽车号牌 04:领馆汽车号牌 05:境外汽车号牌 06:外籍汽车号牌
                                                    07:两、三轮摩托车号牌 08:轻便摩托车号牌 09:使馆摩托车号牌 10:领馆摩托车号牌 11:境外摩托车号牌 
                                                    12:外籍摩托车号牌 13:农用运输车号牌 14:拖拉机号牌15:挂车号牌 16:教练汽车号牌 17:教练摩托车号牌 
                                                    18:试验汽车号牌 19:试验摩托车号牌 20:临时入境汽车号牌 21:临时入境摩托车号牌 22:临时行驶车号牌 
                                                    23:警用汽车号牌 24:警用摩托号牌 25:原农机号牌 26:香港入出境车号牌 27:澳门入出境车号牌 
                                                    51:大型新能源汽车号牌 52:小型新能源汽车号牌）
mobile	    STRING	    可选	                手机号 浙江直连需要手机号
'''
querys = 'carorg=hangzhou&engineno=123456&frameno=229561&iscity=0&lsnum=AH5b57&lsprefix=%E6%B5%99&lstype=02&mobile=mobile'
bodys = {}
url = host + path + '?' + querys

request = urllib2.Request(url)
request.add_header('Authorization', 'APPCODE ' + APPCODE)
#//根据API的要求，定义相对应的Content-Type
request.add_header('Content-Type', 'application/json; charset=UTF-8')
ctx = ssl.create_default_context()
ctx.check_hostname = False
ctx.verify_mode = ssl.CERT_NONE
try:
    response = urlopen(request, context=ctx)
    print(response.status)
    content = response.read()
    if content:
        print(content.decode('utf-8'))
except error.HTTPError as err:
    print(err.code,err.reason,err.headers, err.read().decode(encoding='utf-8').decode(encoding='utf-8'))
except error.URLError as err:
    print('===', err.reason)